aboutsummaryrefslogtreecommitdiff
path: root/net/p2p
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 22:07:48 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 22:07:48 +0000
commite12de050a98eb7e25229f587270de7a27c9d2365 (patch)
treed540405376cd8d9e210b77559a44285115ea7d0d /net/p2p
parente30147dedbf25817df17006d57f01d4fd0142fe6 (diff)
downloadslackbuilds-e12de050a98eb7e25229f587270de7a27c9d2365.tar.gz
slackbuilds-e12de050a98eb7e25229f587270de7a27c9d2365.tar.bz2
movendo...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@664 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'net/p2p')
-rwxr-xr-xnet/p2p/amule/aMule.SlackBuild106
-rwxr-xr-xnet/p2p/azureus/azureus.SlackBuild96
2 files changed, 202 insertions, 0 deletions
diff --git a/net/p2p/amule/aMule.SlackBuild b/net/p2p/amule/aMule.SlackBuild
new file mode 100755
index 00000000..61b9b642
--- /dev/null
+++ b/net/p2p/amule/aMule.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+#
+# slackbuild script for aMule
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="aMule"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.1.3}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/amule/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --enable-amulecmd
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+aMule: aMule (A multi-platform eMule-like ed2k client)
+aMule:
+aMule: aMule is short for "all-platform eMule-like file-sharing program",
+aMule: or, in short, "all-platform Mule". It's a port of the well-known
+aMule: eMule P2P client for the eDonkey2000 and Kad file sharing networks,
+aMule: supporting most of eMule's features. Additionally, it provides a
+aMule: small separate Web server and command line interface to connect to
+aMule: a running aMule via the network.
+aMule:
+aMule:
+aMule:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in ABOUT-NLS AUTHORS COPYING Changelog Doxyfile ED2K-Links.HOWTO README; do
+ cp $CWD/docs/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/net/p2p/azureus/azureus.SlackBuild b/net/p2p/azureus/azureus.SlackBuild
new file mode 100755
index 00000000..67ff7bcd
--- /dev/null
+++ b/net/p2p/azureus/azureus.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/bash
+#
+# slackbuild for azureus
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PRGNAM="azureus"
+PACKAGE="$PRGNAM"
+VERSION=${VERSION:=2.5.0.0}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+TMP=${TMP:=/tmp}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+PACKAGE_EXT="bz2"
+SRC="Azureus_$VERSION"_"linux-$ARCH.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/$PACKAGE/$SRC"
+RTOOL="wget"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+rm -rf $PACKAGE-$VERSION $PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+rm -rf $TMP/package-$PACKAGE
+mkdir -p $TMP/package-$PACKAGE/install
+cd $TMP/package-$PACKAGE
+
+mkdir -p usr/local
+cd usr/local
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $TMP/package-$PACKAGE
+
+if [ "$VERSION" == "2.4.0.2" ]; then
+ rm usr/local/azureus/plugins/azplugins/*
+ wget "http://azureus.sourceforge.net/plugins/azplugins_2.0.jar" -O "usr/local/azureus/plugins/azplugins/azplugins_2.0.jar"
+fi
+
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+azureus: azureus (a java BitTorrent client)
+azureus:
+azureus: Azureus implements the BitTorrent protocol using java language
+azureus: and comes bundled with many invaluable features for both beginners
+azureus: and advanced users.
+azureus:
+azureus:
+azureus:
+azureus:
+azureus:
+azureus:
+EOF
+
+makepkg -c y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi